<?php
namespace nur\data\types\impl;

use nur\data\types\AbstractCompositeType;

class CSiType extends AbstractCompositeType {
  const COMPONENTS = [
    "s" => [["string", [
      "allowed_values" => ["first", "second"]
    ]]],
    "i" => [["int", [
      "allow_parse_empty" => true,
    ]]],
  ];
  const SEPARATOR = "-";
  const SEPARATOR_PATTERN = '/^\s*-\s*/';
}
